




.product-accordion {
  opacity: 1;
  $parent: &;

  &__heading-wrapper {
    margin:0 0 map-get($mobile, space-md);

    @include breakpoint($medium) {
      margin:0 0 map-get($desktop, space-md) 0;
    }
  }

  &__heading {
    color: $color-accessibleGreen;
    margin:0;

    + .product-accordion__intro {
      margin-top:map-get($mobile, space-sm);
      
      @include breakpoint($medium) {
        margin-top:map-get($desktop, space-sm) 0;
      }
    }
  }

  &__intro {
    margin:0;
  }

  &__container.container {
    max-width: 900px;
    position: relative;
  }

  .accordion{
    .accordion__item {
      position:relative;

      .accordion__head{
        display:flex;
        cursor:pointer;
        align-items: center;
        padding: map-get($mobile, space-sm) 0;

        &:after{
          content:"";
          display:block;
          width: 100%;
          height:1px;
          background:$border-color;;
          position:absolute;
          bottom:0;
          left:0;
          transition: all linear .4s;
        }

        @include breakpoint($medium) {
          padding: map-get($desktop, space-sm) 0;
        }

        .accordion__head__label{
          color:$link-color;
          @include rhythm(18,24);
          width:calc(100% - 40px);
          
        }

        .accordion__icon{
          margin-left:auto;
        }

        
      }

      &:first-child{
        .accordion__head{
          padding-top:0;
        }
      }

      &:last-child{
        .accordion__head{
          &:after{
            display:none;
          }
        }
      }

      .accordion__article {
        padding-bottom:map-get($mobile, space-xsmsm);

        @include breakpoint($medium) {
          padding-bottom:map-get($desktop, space-xsmsm);
        }
      }


      &:not(.accordion__item--open){
        .accordion__head {
          &:hover{

            &:after{
              background-color:$link-color-hover;
            }
  
            .accordion__head__label{
              color:$link-color-hover;
            }
  
            .accordion__icon{
              .icon--plus span{
                background:$link-color-hover;
              }
              
            }
          }
        }
      }
    }
  }
  
}
